### Property

# Ide BuildManager:running-time

#### Declaration

    property running-time: gint64 [ read ]

#### Description

The “running-time” property can be bound by UI elements that want to track how long the current build has taken. `g_object_notify()` is called on a regular interval during the build so that the UI elements may automatically update.

The value of this property is a `GTimeSpan`, which are 64-bit signed integers with microsecond precision. See `G_USEC_PER_SEC` for a constant to tranform this to seconds.

Type: | `gint64`
Available since: | 3.32

Getter method | `ide_build_manager_get_running_time()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no